* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins";
}

body {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 90vh;
    background: rgb(38, 38, 38);
}

.container {
    background-color: white;
    padding: 20px;
    width: 550px;
    border-radius: 5px;
}

.container h3 {
    font-size: 25px;
    padding: 10px;
    text-align: center;
    color: rgb(38, 38, 38);
}

.inp {
    display: flex;
    align-items: center;
    overflow: hidden;
    border: 1px solid rgba(128, 128, 128, 0.692);
    border-radius: 3px;
}

.inp input {
    width: 100%;
    padding: 6.5px 8px;
    border: none;
    outline: none;
    height: max-content;
}

.inp span {
    padding: 5px 7px;
    background: rgb(192, 192, 192);
    color: rgb(102, 102, 102);
}

.seek {
    display: flex;
    padding-top: 20px;
    padding-bottom: 40px;
    border-bottom: 1px solid rgba(128, 128, 128, 0.692);
}

.seek input {
    width: 100%;
    margin: 0 10px;
}

.seek input[type=range] {
    -webkit-appearance: none;
}

.seek input[type=range]:focus {
    outline: none;
}

.seek input[type=range]::-webkit-slider-runnable-track {
    background-color: rgb(184, 184, 184);
    border-radius: 10px;
    height: 10px;
}

.seek input[type=range]::-webkit-slider-thumb {
    background-color: rgb(78, 77, 77);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    border-radius: 10px;
    width: 20px;
    height: 10px;
    -webkit-appearance: none;
}

h4 {
    padding: 20px;
    text-align: center;
    color: rgb(38, 38, 38);
}

.tipamount,
.total {
    display: flex;
    align-items: center;
    width: 100%;
    background-color: rgb(192, 192, 192);
    margin-bottom: 20px;
    border: 1px solid rgba(128, 128, 128, 0.692);
    border-radius: 3px;
}

.tipamount span,
.total span {
    padding: 5px;
    color: rgb(83, 83, 83);
}

.tipamount p,
.total p {
    color: rgb(83, 83, 83);
    padding: 5px 5px;
    border-right: 1px solid rgba(128, 128, 128, 0.692);
    width: fit-content;
    font-size: 15px;
}

@media (max-width:600px) {
    .container {
        width: 400px;
    }
}

@media (max-width:400px) {
    .container {
        width: 300px;
    }
}